All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Class JDBCToTreeViewModelAdapter.LevelTreeNode

    com.sas.servlet.tbeans.models.JDBCToTreeViewModelAdapter.LevelTreeNode

All Implemented Interfaces:
  ComplexStyleInterface, TreeViewStyleKeysInterface, NodeInterface, StaticNodeCellStyleInterface, StaticNodeCellStyleKeyInterface, TreeNodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Enclosing class:
  JDBCToTreeViewModelAdapter

    public class JDBCToTreeViewModelAdapter.LevelTreeNode

implements TreeNodeInterface, StaticNodeCellStyleInterface, StaticNodeCellStyleKeyInterface, ComplexStyleInterface, TreeViewStyleKeysInterface

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `expandedNodeText` nodeExpandedText property.
`protected boolean` | `externalUpdateSupported` externalUpdateSupported property.
`protected java.lang.String` | `nodeText` nodeText property.
`protected java.lang.String` | `nodeType` nodeType property.
`protected java.lang.Object` | `objectData` objectData property.
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.swing.models.IndexedMutableTreeNode
`childrenRead, index, nextRelativeIndex`

Fields inherited from interface com.sas.servlet.tbeans.html.TreeViewStyleKeysInterface
`TREEVIEW_BACKGROUND_IMAGE, TREEVIEW_BACKGROUND_IMAGE1, TREEVIEW_CURSOR_HAND, TREEVIEW_DESCRIPTION, TREEVIEW_DISABLED, TREEVIEW_DIV_IMAGE_SPACE, TREEVIEW_FLOAT, TREEVIEW_IMAGE, TREEVIEW_IMAGE_SPACE, TREEVIEW_LINK, TREEVIEW_LINKACTIVE, TREEVIEW_PANE, TREEVIEW_SELECTED, TREEVIEW_TABLE, TREEVIEW_TEXT`

Constructor Summary
`JDBCToTreeViewModelAdapter.LevelTreeNode()`
`JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String text)` Constructor of LevelTreeNode
`JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String name, java.lang.String text)` Constructor of LevelTreeNode
`JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String name, java.lang.String text, java.lang.String url)` Constructor of LevelTreeNode
`JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String name, java.lang.String text, java.lang.String url, java.lang.String defaultImage, java.lang.String expandedImage)` Constructor of LevelTreeNode

Method Summary
`void` | `addItems(java.util.Enumeration items)` Appends the enumeration of SimpleNodeInterface objects to the children of the current node.
`java.lang.String` | `getAccessKey()` getAccessKey returns the accesskey for URL accessability.
`java.lang.String` | `getDefaultImage()` Returns the name of the default image.
`java.lang.String` | `getDefaultImageAltText()` getDefaultImageAltText reutrns the text which is to be used as alternate to an image.
`java.lang.String` | `getDescription()` Returns the description of this node.
`java.lang.String` | `getDeselectNodeFunctionName()` Gets the name of a javascript function which will be called when a node is deselected.
`java.lang.String` | `getDisabledImage()` Returns the name of the image to be displayed when the node is disabled.
`java.lang.String` | `getDisabledImageAltText()` getDisabledImageAltText returns the text which is to be used as alternate to an image.
`java.lang.String` | `getExpandedImage()` Returns the name of the expanded image.
`java.lang.String` | `getExpandedImageAltText()` getExpandedImageAltText returns the alternate text to the expanded image.
`java.lang.String` | `getImageLocation()` If present this property overrides the imageLocation property of the TreeView.
`int` | `getIndex(javax.swing.tree.MutableTreeNode item, int startIndex)` Returns the 0-based index associated with the NodeInterface object in the children collection (searches forward)
`java.lang.String` | `getName()` Returns the name of the LevelTreeNode object
`java.lang.String` | `getNodeCellStyleClass()` getNodeStyleClass
`java.lang.String` | `getNodeCellStyleKey()` getNodeStyleKey returns the key to be associated with style values in some viewers.
`java.lang.String` | `getNodeExpandedText()` getNodeExpandedText returns the URL used for the node.
`java.lang.String` | `getNodeText()` Returns the node Text associated with the node.
`java.lang.String` | `getNodeType()` Returns the type of the current node.
`java.lang.String[]` | `getNodeTypes()` Returns the complete set of types for a node.
`java.lang.Object` | `getObjectData()` Returns user-supplied data for the current node.
`java.lang.String` | `getPostSelectNodeFunctionName()` Gets the name of a user-supplied javascript function which will be called when a node is selected after default behavior executes.
`java.lang.String` | `getPreSelectNodeFunctionName()` Gets the name of a user-supplied javascript function which will be called when a node is selected prior to default behavior executing.
`java.lang.String` | `getRendererFunctionName()` Gets the name of a javascript function which renders a node.
`java.lang.String` | `getRootNodeName()` Returns then name of the Root Node
`java.lang.String` | `getSelectNodeFunctionName()` Gets the name of a javascript function which will be called when a node is selected.
`TreeNodeInterface` | `getSourceParent()` Return the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.
`java.lang.String` | `getStyleClassPrefix()` If present this property overrides the styleClassPrefix property of the TreeView.
`java.util.Map` | `getStyleMap()` Returns a Map that contains all the Style information for a component
`int` | `getTabIndex()` getTabIndex returns the tab order value of the node.
`java.lang.String` | `getTarget()` Returns the value of the target= argument used on the anchor tags generated.
`java.lang.String` | `getText()` Returns the text displayed for the node
`java.lang.String` | `getTitle()` getTitle returns the title to the URL link.
`java.lang.String` | `getURL()` Returns the url associated with the node
`boolean` | `isEnabled()` Get the enabled state of the node, which determines the icon and style used for the node.
`boolean` | `isExpanded()` Returns the expandedState boolean value which is determines if a node is initially set expanded when rendered.
`boolean` | `isExternalUpdateSupported()`
`boolean` | `isLastNode()` Returns the boolean value lastNode which determines if a node is the last node in a set of children.
`boolean` | `isLeaf()` Returns true if this node has no children.
`void` | `setAccessKey(java.lang.String accessKey)` setAccessKey sets the accesskey if a URL link is being used.
`void` | `setDefaultImage(java.lang.String image)` Sets the name of the default image.
`void` | `setDefaultImageAltText(java.lang.String defaultImageAltText)` setDefaultImageAltText sets the text used to describe an image in the viewer.
`void` | `setDescription(java.lang.String desc)` Sets the description associated with this node.
`void` | `setDeselectNodeFunctionName(java.lang.String deselect)` Sets the name of a javascript function which will be called when a node is deselected.
`void` | `setDisabledImage(java.lang.String image)` Sets the name of the image to be displayed when the node is disabled.
`void` | `setDisabledImageAltText(java.lang.String disabledImageAltText)` setDisabledImageAltText sets the alternate text to the disabled image in the viewer.
`void` | `setEnabled(boolean enabled)` Set the enabled state of the node, which will change the icon and style used for a disabled node.
`void` | `setExpanded(boolean state)` sets the expandedState of the node
`void` | `setExpandedImage(java.lang.String image)` Sets the name of the expanded image.
`void` | `setExpandedImageAltText(java.lang.String expandedImageAltText)` setExpandedImageAltText sets the alternate text to the expanded image in the viewer.
`void` | `setExternalUpdateSupported(boolean newValue)` Sets the value of the externalUpdateSupported property.
`void` | `setImageLocation(java.lang.String imageLocation)` If present this property overrides the imageLocation property of the TreeView.
`void` | `setIndex(int index)`
`void` | `setLastNode(boolean lastNode)` Sets the boolean value lastNode to determine if a node is the last node of a set of children.
`void` | `setName(java.lang.String name)` Sets the name of the tree node.
`void` | `setNodeCellStyleClass(java.lang.String styleClass)` setNodeStyle sets the style Class on the node.
`void` | `setNodeCellStyleKey(java.lang.String styleKey)` setNodeStyleKey sets the key for the node which can be used to associate the node with styles in some viewers.
`void` | `setNodeExpandedText(java.lang.String newValue)` Sets the expanded text of the current node.
`void` | `setNodeText(java.lang.String newValue)` Sets the text of the current node.
`void` | `setNodeType(java.lang.String newValue)` Sets the type of the current node.
`void` | `setObjectData(java.lang.Object newValue)` Sets the object data for the current node.
`void` | `setPostSelectNodeFunctionName(java.lang.String postselect)` Sets the name of a user-supplied javascript function which will be called when a node is selected after default behavior executes.
`void` | `setPreSelectNodeFunctionName(java.lang.String preselect)` Sets the name of a javascript function which will be called when a node is selected prior to default behavior executing.
`void` | `setRendererFunctionName(java.lang.String renderer)` Sets the name of a javascript function which renders a node.
`void` | `setSelectNodeFunctionName(java.lang.String select)` Sets the name of a javascript function which will be called when a node is selected.
`void` | `setSourceParent(TreeNodeInterface sourceParent)` Set the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.
`void` | `setStyleClassPrefix(java.lang.String styleClassPrefix)` If present this property overrides the styleClassPrefix property of the TreeView.
`void` | `setTabIndex(int tabIndex)` setTabIndex sets the tabbing order for access in viewer.
`void` | `setTarget(java.lang.String target)` Sets the value of the target= argument used on the anchor tags generated.
`void` | `setText(java.lang.String text)` Sets the text displayed for the node.
`void` | `setTitle(java.lang.String title)` setTitle sets the title to the URL link in the viewer.
`void` | `setURL(java.lang.String url)` Sets the url associated with the node
`java.lang.String` | `toString()` Returns the value of the nodeText property.

Methods inherited from class com.sas.swing.models.IndexedMutableTreeNode
`getIndex, getNextRelativeIndex, isChildrenRead, setChildrenRead, setNextRelativeIndex`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### expandedNodeText

    protected java.lang.String expandedNodeText

  nodeExpandedText property.

### externalUpdateSupported

    protected boolean externalUpdateSupported

  externalUpdateSupported property.

### nodeText

    protected java.lang.String nodeText

  nodeText property.

### nodeType

    protected java.lang.String nodeType

  nodeType property.

### objectData

    protected java.lang.Object objectData

  objectData property.

Constructor Detail

### JDBCToTreeViewModelAdapter.LevelTreeNode

    public JDBCToTreeViewModelAdapter.LevelTreeNode()

### JDBCToTreeViewModelAdapter.LevelTreeNode

    public JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String name,
                                                    java.lang.String text,
                                                    java.lang.String url,
                                                    java.lang.String defaultImage,
                                                    java.lang.String expandedImage)

  Constructor of LevelTreeNode

  Parameters:
    `name` - the name of the LevelTreeNode object that is created
    `text` - the text to display in tree
    `url` - the url to associate with the node
    `defaultImage` - the image to display when folder is closed
    `expandedImage` - the image to display when folder is open

### JDBCToTreeViewModelAdapter.LevelTreeNode

    public JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String name,
                                                    java.lang.String text,
                                                    java.lang.String url)

  Constructor of LevelTreeNode

  Parameters:
    `name` - the name of the LevelTreeNode object that is created
    `text` - the text to display in tree
    `url` - the url to associate with the node

### JDBCToTreeViewModelAdapter.LevelTreeNode

    public JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String name,
                                                    java.lang.String text)

  Constructor of LevelTreeNode

  Parameters:
    `name` - the name of the LevelTreeNode object that is created
    `text` - the text to displayed in tree

### JDBCToTreeViewModelAdapter.LevelTreeNode

    public JDBCToTreeViewModelAdapter.LevelTreeNode(java.lang.String text)

  Constructor of LevelTreeNode

  Parameters:
    `name` - the name of the LevelTreeNode object that is created
    `text` - the text to displayed in tree

Method Detail

### setIndex

    public void setIndex(int index)

### getName

    public java.lang.String getName()

  Returns the name of the LevelTreeNode object

  Specified by:
    `getName` in interface `TreeNodeInterface`
  Returns:
    name the name of the LevelTreeNode object

### setName

    public void setName(java.lang.String name)

  Sets the name of the tree node. It is a good idea to match the name of the LevelTreeNode object to the node name. The LevelTreeNode name is used by some of the viewers as a unique name, therefore it is suggested that the name be unique.

  Specified by:
    `setName` in interface `TreeNodeInterface`
  Parameters:
    `name` - the name of the LevelTreeNode

### setExpanded

    public void setExpanded(boolean state)

  sets the expandedState of the node

  Specified by:
    `setExpanded` in interface `TreeNodeInterface`
  Parameters:
    `state` - the expanded state of the node

### isExpanded

    public boolean isExpanded()

  Returns the expandedState boolean value which is determines if a node is initially set expanded when rendered.

  Specified by:
    `isExpanded` in interface `TreeNodeInterface`
  Returns:
    expandedState boolean value which dertermines the expanded state of the node.

### getText

    public java.lang.String getText()

  Returns the text displayed for the node

  Specified by:
    `getText` in interface `TreeNodeInterface`
  Returns:
    text the text displayed on the node

### getNodeText

    public java.lang.String getNodeText()

  Returns the node Text associated with the node.

  Specified by:
    `getNodeText` in interface `NodeInterface`
  Returns:
    text the text displayed on the node.

### setText

    public void setText(java.lang.String text)

  Sets the text displayed for the node. Note that if quotes are used in this text, it may cause problems with some viewers. To avoid this problem, the HTML quote may be written as &quot;

  Specified by:
    `setText` in interface `TreeNodeInterface`
  Parameters:
    `text` - the text displayed on the node

### getURL

    public java.lang.String getURL()

  Returns the url associated with the node

  Specified by:
    `getURL` in interface `TreeNodeInterface`
  Returns:
    url the url link associated with the node
  See Also:
    `TreeNodeInterface.setURL(String)`, `BaseTreeView.setUsingURLLinks(boolean)`

### getNodeExpandedText

    public java.lang.String getNodeExpandedText()

  getNodeExpandedText returns the URL used for the node.

  Specified by:
    `getNodeExpandedText` in interface `NodeInterface`
  Returns:
    the nodeExpandedText property

### setURL

    public void setURL(java.lang.String url)

  Sets the url associated with the node

  Specified by:
    `setURL` in interface `TreeNodeInterface`
  Parameters:
    `url` - the url link associated with the node
  See Also:
    `TreeNodeInterface.getURL()`, `BaseTreeView.setUsingURLLinks(boolean)`

### getDefaultImage

    public java.lang.String getDefaultImage()

  Returns the name of the default image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  . Specify only the name of the file, in this example imageName.gif. If no image is specified the TreeView will determine the image name. The TreeView will supply the location of the images.

  Specified by:
    `getDefaultImage` in interface `TreeNodeInterface`
  Returns:
    the name of the default image.

### setDefaultImage

    public void setDefaultImage(java.lang.String image)

  Sets the name of the default image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  . Specify only the name of the file, in this example imageName.gif. The TreeControl object will supply the location of the images.

  Specified by:
    `setDefaultImage` in interface `TreeNodeInterface`
  Parameters:
    `image` - - the name of the default image.

### getExpandedImage

    public java.lang.String getExpandedImage()

  Returns the name of the expanded image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  . Specify only the name of the file, in this example imageName.gif. If no image is specified the defaultImage will be used. If the defaultImage and the expandedImage are null the TreeView will determine the image name. The TreeView object will supply the location of the images.

  Specified by:
    `getExpandedImage` in interface `TreeNodeInterface`
  Returns:
    the name of the expanded image.

### setExpandedImage

    public void setExpandedImage(java.lang.String image)

  Sets the name of the expanded image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  . Specify only the name of the file, in this example imageName.gif. The TreeControl object will supply the location of the images.

  Specified by:
    `setExpandedImage` in interface `TreeNodeInterface`
  Parameters:
    `image` - - the name of the expanded image.

### getRootNodeName

    public java.lang.String getRootNodeName()

  Returns then name of the Root Node

  Returns:
    root node name

### setLastNode

    public void setLastNode(boolean lastNode)

  Sets the boolean value lastNode to determine if a node is the last node of a set of children. Defaults to false.

  Specified by:
    `setLastNode` in interface `TreeNodeInterface`
  Parameters:
    `lastNode` - boolean value lastNode, true if node is the lastNode, false otherwise.

### isLastNode

    public boolean isLastNode()

  Returns the boolean value lastNode which determines if a node is the last node in a set of children.

  Specified by:
    `isLastNode` in interface `TreeNodeInterface`
  Returns:
    lastNode boolean value, true if node is last node, false otherwise.

### setNodeCellStyleClass

    public void setNodeCellStyleClass(java.lang.String styleClass)

  setNodeStyle sets the style Class on the node.

### getNodeCellStyleClass

    public java.lang.String getNodeCellStyleClass()

  getNodeStyleClass

  Specified by:
    `getNodeCellStyleClass` in interface `StaticNodeCellStyleInterface`

### setNodeCellStyleKey

    public void setNodeCellStyleKey(java.lang.String styleKey)

  setNodeStyleKey sets the key for the node which can be used to associate the node with styles in some viewers.

### getNodeCellStyleKey

    public java.lang.String getNodeCellStyleKey()

  getNodeStyleKey returns the key to be associated with style values in some viewers.

  Specified by:
    `getNodeCellStyleKey` in interface `StaticNodeCellStyleKeyInterface`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  setAccessKey sets the accesskey if a URL link is being used. This allows the user to access the link via the keyboard. For example, if the accesskey is set to "C", a user can use the Alt-C combination to go to the link text and press enter to activate the link.

  Specified by:
    `setAccessKey` in interface `TreeNodeInterface`
  Parameters:
    `accessKey` - key entry used as access key for link.

### getAccessKey

    public java.lang.String getAccessKey()

  getAccessKey returns the accesskey for URL accessability. This allows a user to access a link using the Alt-'key' comination to access a link.

  Specified by:
    `getAccessKey` in interface `TreeNodeInterface`
  Returns:
    accessKey key entry used as access key for link.

### setTabIndex

    public void setTabIndex(int tabIndex)

  setTabIndex sets the tabbing order for access in viewer. This is mainly used with the HTML TreeView `TreeView`.

  Specified by:
    `setTabIndex` in interface `TreeNodeInterface`
  Parameters:
    `tabIndex` - the numeric order in which the tab key is used.

### getTabIndex

    public int getTabIndex()

  getTabIndex returns the tab order value of the node. The tab order is the order in which the tab key will follow when tabbing in the viewer.

  Specified by:
    `getTabIndex` in interface `TreeNodeInterface`
  Returns:
    tabIndex

### setDefaultImageAltText

    public void setDefaultImageAltText(java.lang.String defaultImageAltText)

  setDefaultImageAltText sets the text used to describe an image in the viewer.

  Specified by:
    `setDefaultImageAltText` in interface `TreeNodeInterface`
  Parameters:
    `defaulImageAltText` - alternate text for the image displayed in the viewer.

### getDefaultImageAltText

    public java.lang.String getDefaultImageAltText()

  getDefaultImageAltText reutrns the text which is to be used as alternate to an image.

  Specified by:
    `getDefaultImageAltText` in interface `TreeNodeInterface`
  Returns:
    defaultImageAltText text used as an alternative to the image.

### setExpandedImageAltText

    public void setExpandedImageAltText(java.lang.String expandedImageAltText)

  setExpandedImageAltText sets the alternate text to the expanded image in the viewer.

  Specified by:
    `setExpandedImageAltText` in interface `TreeNodeInterface`
  Parameters:
    `expandedImageAltText` -

### getExpandedImageAltText

    public java.lang.String getExpandedImageAltText()

  getExpandedImageAltText returns the alternate text to the expanded image.

  Specified by:
    `getExpandedImageAltText` in interface `TreeNodeInterface`
  Returns:
    expandedImageAltText

### setTitle

    public void setTitle(java.lang.String title)

  setTitle sets the title to the URL link in the viewer. This title should be a short but descriptive title to where the URL link will take them.

  Specified by:
    `setTitle` in interface `TreeNodeInterface`
  Parameters:
    `title` - descriptive title of the URL link.

### getTitle

    public java.lang.String getTitle()

  getTitle returns the title to the URL link. This title is a short but descriptive title to where the URL link will take them.

  Specified by:
    `getTitle` in interface `TreeNodeInterface`
  Returns:
    title descriptive title to the URL link

### setDescription

    public void setDescription(java.lang.String desc)

  Sets the description associated with this node.

  Specified by:
    `setDescription` in interface `TreeNodeInterface`
  Parameters:
    `desc` - The description of the node

### getDescription

    public java.lang.String getDescription()

  Returns the description of this node.

  Specified by:
    `getDescription` in interface `TreeNodeInterface`
  Returns:
    the description of the node

### getTarget

    public java.lang.String getTarget()

  Returns the value of the target= argument used on the anchor tags generated. This value determines where/how the links associated with the nodes on the tree are displayed.

  Specified by:
    `getTarget` in interface `TreeNodeInterface`
  Returns:
    target= argument of each folders anchor tag.

### setTarget

    public void setTarget(java.lang.String target)

  Sets the value of the target= argument used on the anchor tags generated. This value determines where/how the links associated with the nodes on the tree are displayed.

  Specified by:
    `setTarget` in interface `TreeNodeInterface`

### setSourceParent

    public void setSourceParent(TreeNodeInterface sourceParent)

  Set the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.

  Specified by:
    `setSourceParent` in interface `TreeNodeInterface`

### getSourceParent

    public TreeNodeInterface getSourceParent()

  Return the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.

  Specified by:
    `getSourceParent` in interface `TreeNodeInterface`
  Returns:
    sourceParent the node's parent in a source tree.

### setEnabled

    public void setEnabled(boolean enabled)

  Set the enabled state of the node, which will change the icon and style used for a disabled node.

  Specified by:
    `setEnabled` in interface `TreeNodeInterface`

### isEnabled

    public boolean isEnabled()

  Get the enabled state of the node, which determines the icon and style used for the node.

  Specified by:
    `isEnabled` in interface `TreeNodeInterface`

### getDisabledImage

    public java.lang.String getDisabledImage()

  Returns the name of the image to be displayed when the node is disabled. The image name must be an absolute or relative URL.

  Specified by:
    `getDisabledImage` in interface `TreeNodeInterface`
  Parameters:
    `Image` - the URL for defaultImage.

### setDisabledImage

    public void setDisabledImage(java.lang.String image)

  Sets the name of the image to be displayed when the node is disabled. The image name must be an absolute or relative URL.

  Specified by:
    `setDisabledImage` in interface `TreeNodeInterface`
  Parameters:
    `Image` - the URL for defaultImage.

### getDisabledImageAltText

    public java.lang.String getDisabledImageAltText()

  getDisabledImageAltText returns the text which is to be used as alternate to an image.

  Specified by:
    `getDisabledImageAltText` in interface `TreeNodeInterface`
  Returns:
    defaultImageAltText text used as an alternative to the image.

### setDisabledImageAltText

    public void setDisabledImageAltText(java.lang.String disabledImageAltText)

  setDisabledImageAltText sets the alternate text to the disabled image in the viewer.

  Specified by:
    `setDisabledImageAltText` in interface `TreeNodeInterface`
  Parameters:
    `disabledImageAltText` -

### getRendererFunctionName

    public java.lang.String getRendererFunctionName()

  Gets the name of a javascript function which renders a node. Only available in FULL mode.

  Specified by:
    `getRendererFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the JavaScript function to render a node
  See Also:
    `TreeNodeInterface.setRendererFunctionName(String)`, `BaseTreeView.getNodeRendererFunctionName()`

### setRendererFunctionName

    public void setRendererFunctionName(java.lang.String renderer)

  Sets the name of a javascript function which renders a node. Only available in FULL mode.

  Specified by:
    `setRendererFunctionName` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.setNodeRendererFunctionName(String)`

### getSelectNodeFunctionName

    public java.lang.String getSelectNodeFunctionName()

  Gets the name of a javascript function which will be called when a node is selected. Only available in FULL mode.

  Specified by:
    `getSelectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the JavaScript function called when node is selected.
  See Also:
    `TreeNodeInterface.setSelectNodeFunctionName(String)`, `BaseTreeView.getSelectNodeFunctionName()`

### setSelectNodeFunctionName

    public void setSelectNodeFunctionName(java.lang.String select)

  Sets the name of a javascript function which will be called when a node is selected. Only available in FULL mode.

  Specified by:
    `setSelectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `TreeNodeInterface.getSelectNodeFunctionName()`, `BaseTreeView.setSelectNodeFunctionName(String)`

### getDeselectNodeFunctionName

    public java.lang.String getDeselectNodeFunctionName()

  Gets the name of a javascript function which will be called when a node is deselected. Only available in FULL mode.

  Specified by:
    `getDeselectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    String The name of the JavaScript function called when node is deselected.
  See Also:
    `TreeNodeInterface.setDeselectNodeFunctionName(String)`, `BaseTreeView.getDeselectNodeFunctionName()`

### setDeselectNodeFunctionName

    public void setDeselectNodeFunctionName(java.lang.String deselect)

  Sets the name of a javascript function which will be called when a node is deselected. Only available in FULL mode.

  Specified by:
    `setDeselectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.setDeselectNodeFunctionName(String)`

### getPreSelectNodeFunctionName

    public java.lang.String getPreSelectNodeFunctionName()

  Gets the name of a user-supplied javascript function which will be called when a node is selected prior to default behavior executing. Only available in FULL mode.

  Specified by:
    `getPreSelectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the user-supplied JavaScript function called prior to normal select behavior when a node is selected.
  See Also:
    `TreeNodeInterface.setPreSelectNodeFunctionName(String)`

### setPreSelectNodeFunctionName

    public void setPreSelectNodeFunctionName(java.lang.String preselect)

  Sets the name of a javascript function which will be called when a node is selected prior to default behavior executing. Only available in FULL mode.

  Specified by:
    `setPreSelectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `TreeNodeInterface.getPreSelectNodeFunctionName()`

### getPostSelectNodeFunctionName

    public java.lang.String getPostSelectNodeFunctionName()

  Gets the name of a user-supplied javascript function which will be called when a node is selected after default behavior executes. Only available in FULL mode.

  Specified by:
    `getPostSelectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the user-supplied JavaScript function called after the normal select behavior when a node is selected.
  See Also:
    `TreeNodeInterface.setPreSelectNodeFunctionName(String)`

### setPostSelectNodeFunctionName

    public void setPostSelectNodeFunctionName(java.lang.String postselect)

  Sets the name of a user-supplied javascript function which will be called when a node is selected after default behavior executes. Only available in FULL mode.

  Specified by:
    `setPostSelectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `TreeNodeInterface.getPreSelectNodeFunctionName()`

### getImageLocation

    public java.lang.String getImageLocation()

  If present this property overrides the imageLocation property of the TreeView.

  Specified by:
    `getImageLocation` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.getImageLocation()`

### setImageLocation

    public void setImageLocation(java.lang.String imageLocation)

  If present this property overrides the imageLocation property of the TreeView.

  Specified by:
    `setImageLocation` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.setImageLocation(String)`

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  If present this property overrides the styleClassPrefix property of the TreeView.

  Specified by:
    `getStyleClassPrefix` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.getStyleClassPrefix()`

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String styleClassPrefix)

  If present this property overrides the styleClassPrefix property of the TreeView.

  Specified by:
    `setStyleClassPrefix` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.getStyleClassPrefix()`

### getStyleMap

    public java.util.Map getStyleMap()

  Returns a Map that contains all the Style information for a component

  Specified by:
    `getStyleMap` in interface `ComplexStyleInterface`
  Returns:
    styleMap Map of all the style information

### getNodeType

    public java.lang.String getNodeType()

  Returns the type of the current node. The type is a text string which allows the user of a node hierarchy to add more information to nodes. For example nodes in a file system viewer could use "file" or "directory" as the type to distinguish between nodes representing files and directories.

  Specified by:
    `getNodeType` in interface `NodeInterface`
  Returns:
    the type of the current node
  See Also:
    `setNodeType(java.lang.String)`

### isExternalUpdateSupported

    public boolean isExternalUpdateSupported()

  See Also:
    `setExternalUpdateSupported(boolean)`

### getNodeTypes

    public java.lang.String[] getNodeTypes()

  Returns the complete set of types for a node. NOTE: This property is not currently used.

  Returns:
    `null`, or a string array of all the possible node types.

### addItems

    public void addItems(java.util.Enumeration items)

  Appends the enumeration of SimpleNodeInterface objects to the children of the current node.

  Parameters:
    `items` - the SimpleNodeInterface objects to add as children

### getIndex

    public int getIndex(javax.swing.tree.MutableTreeNode item,
                        int startIndex)

  Returns the 0-based index associated with the NodeInterface object in the children collection (searches forward)

  Parameters:
    `item` - NodeInterface to search for
    `startIndex` - the position where the search should start
  Returns:
    int the 0-based index corresponding to the NodeInterface object or -1 if the item is not found.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the start index is invalid

### getObjectData

    public java.lang.Object getObjectData()

  Returns user-supplied data for the current node.

  Returns:
    user data for this node
  See Also:
    `setObjectData(java.lang.Object)`

### setExternalUpdateSupported

    public void setExternalUpdateSupported(boolean newValue)

  Sets the value of the externalUpdateSupported property.

  Parameters:
    `newValue` - `true` to allow external updates, `false` otherwise
  See Also:
    `isExternalUpdateSupported()`

### setNodeExpandedText

    public void setNodeExpandedText(java.lang.String newValue)

  Sets the expanded text of the current node.

  Parameters:
    `newValue` - the new value for the nodeExpandedText property
  See Also:
    `getNodeExpandedText()`

### setNodeType

    public void setNodeType(java.lang.String newValue)

  Sets the type of the current node. The type can be used for categorizing nodes.

  Parameters:
    `newValue` - the new value for the nodeType property
  See Also:
    `getNodeType()`

### setNodeText

    public void setNodeText(java.lang.String newValue)

  Sets the text of the current node.

  Parameters:
    `newValue` - the new value for the nodeText property
  See Also:
    `getNodeText()`

### setObjectData

    public void setObjectData(java.lang.Object newValue)

  Sets the object data for the current node.

  Parameters:
    `newValue` - the new value for the objectData property
  See Also:
    `getObjectData()`

### toString

    public java.lang.String toString()

  Returns the value of the nodeText property.

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    the value of the nodeText property

### isLeaf

    public boolean isLeaf()

  Returns true if this node has no children. To distinguish between nodes that have no children and nodes that cannot have children (e.g. to distinguish files from empty directories), use this method in conjunction with `getAllowsChildren`

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    true if this node has no children

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.